import { expect, test } from '@playwright/test';

for (const url of ['/', '/stats/', '/about/', '/cart/']) {
    test(url + ' render', async ({ page }) => {
        await page.goto(url);
        await expect(
            page.getByRole('heading', {
                name: 'Ottawa board games for sale and trade',
            }),
        ).toBeVisible();
    });
}
