import { db } from '../lib/db.js';

import { update_user_games } from '../fetchCollection.js';

const users = db.prepare('SELECT username from bgg_user').all();

await Promise.all(
    users.map(({ username }) => {
        console.log(username);
        return update_user_games(db, username)
            .then(() => console.log(username, 'is done'))
            .catch((e) => console.error(e));
    }),
);
