CREATE TABLE IF NOT EXISTS "schema_migrations" (version varchar(255) primary key);
CREATE TABLE bgg_user (
    username text primary key
, "neighbourhood" text);
CREATE TABLE game (
    id integer primary key,
    username text,
    thumbnail text,
    bgg_id text,
    name text,
    notes text, price integer, updated_at text,
    FOREIGN KEY(username) REFERENCES bgg_user(username)
);
-- Dbmate schema migrations
INSERT INTO "schema_migrations" (version) VALUES
  ('20240130203355'),
  ('20240130203603'),
  ('20240130205124'),
  ('20240201201248'),
  ('20240204153045'),
  ('20240205142447'),
  ('20240206141649'),
  ('20240211024145'),
  ('20240211153145');
